MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
CommandListBuilder Class Reference

`#include <CommandListBuilder.hxx>`

## Public Member Functions
| CommandListBuilder ()
bool | IsActive () const
| Is a command list currently being built? More...
bool | IsOKMode () const
| Is the object in "list_OK" mode? More...
void | Reset ()
| Reset the object: delete the list and clear the mode. More...
void | Begin (bool ok)
| Begin building a command list. More...
bool | Add (const char *cmd)
std::list< std::string > && | Commit ()
| Finishes the list and returns it. More...

## Detailed Description

Definition at line 28 of file CommandListBuilder.hxx.

## Constructor & Destructor Documentation

CommandListBuilder::CommandListBuilder | ( |  | ) |
| inline

Definition at line 60 of file CommandListBuilder.hxx.

## Member Function Documentation

bool CommandListBuilder::Add | ( | const char * | cmd | ) |

Returns
  false if the list is full

void CommandListBuilder::Begin | ( | bool | ok | ) |
| inline

Begin building a command list.

Definition at line 87 of file CommandListBuilder.hxx.

std::list<std::string>&& CommandListBuilder::Commit | ( |  | ) |
| inline

Finishes the list and returns it.

Definition at line 103 of file CommandListBuilder.hxx.

bool CommandListBuilder::IsActive | ( |  | ) | const
| inline

Is a command list currently being built?

Definition at line 66 of file CommandListBuilder.hxx.

bool CommandListBuilder::IsOKMode | ( |  | ) | const
| inline

Is the object in "list_OK" mode?

Definition at line 73 of file CommandListBuilder.hxx.

void CommandListBuilder::Reset | ( |  | ) |

Reset the object: delete the list and clear the mode.

The documentation for this class was generated from the following file:

- command/CommandListBuilder.hxx